httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@rowe-clan.net>
Subject Re: [VOTE] Apache 2.2.6, 2.0.61 and 1.3.39 release candidate tarballs for review
Date Wed, 05 Sep 2007 19:40:56 GMT
Steffen wrote:
> little things:
> 
> mod_bucketeer.so is not build out of the box with Win32 gui-build.

Not necessary (except for testers).  Trivial for the developer to
create (along with many similar testing modules - instead of building
the BuildBin target, use BuildAll target.

> zlib1.dll is now copied to /bin , seems to me not necessary.

zlib1.dll doesn't come from Microsoft, it's quite necessary.  (I can't
imagine you don't ship it?!?)  It's used by mod_deflate, and also by
openssl 0.9.8 - we anticipate most 2.2 users to use that version as it
was current when Apache 2.2.0 was first released.

In 2.0 we anticipated 0.9.7 which doesn't enable zlib by default, and
we had compiled the required zlib 1.1.x sources into mod_deflate.


Mime
View raw message